Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyExecutableMemberDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc
                  org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc
                      org.codehaus.groovy.tools.groovydoc.SimpleGroovyExecutableMemberDoc

All Implemented Interfaces:
  GroovyExecutableMemberDoc

    public class SimpleGroovyExecutableMemberDoc
    extends SimpleGroovyMemberDoc

Field Summary

Fields inherited from class SimpleGroovyMemberDoc
belongsToClass

Constructor Summary
`SimpleGroovyExecutableMemberDoc(java.lang.String name, GroovyClassDoc belongsToClass)`

Method Summary
`void` | `add(GroovyParameter parameter)`
`java.lang.String` | `flatSignature()`
`boolean` | `isNative()`
`boolean` | `isSynchronized()`
`boolean` | `isVarArgs()`
`GroovyParameter[]` | `parameters()`
`java.lang.String` | `signature()`
`GroovyType[]` | `thrownExceptionTypes()`
`GroovyClassDoc[]` | `thrownExceptions()`

Methods inherited from class SimpleGroovyMemberDoc
commentText, firstSentenceCommentText, isSynthetic

Methods inherited from class SimpleGroovyAbstractableElementDoc
isAbstract, setAbstract

Methods inherited from class SimpleGroovyProgramElementDoc
addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic

Methods inherited from class SimpleGroovyDoc
calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SimpleGroovyExecutableMemberDoc

    public SimpleGroovyExecutableMemberDoc(java.lang.String name, GroovyClassDoc belongsToClass)

Method Detail

### add

    public void add(GroovyParameter parameter)

### flatSignature

    public java.lang.String flatSignature()

### isNative

    public boolean isNative()

### isSynchronized

    public boolean isSynchronized()

### isVarArgs

    public boolean isVarArgs()

### parameters

    public GroovyParameter[] parameters()

### signature

    public java.lang.String signature()

### thrownExceptionTypes

    public GroovyType[] thrownExceptionTypes()

### thrownExceptions

    public GroovyClassDoc[] thrownExceptions()

Groovy Documentation